Subject: bug#72229: (setq overriding-terminal-local-map nil) in isearch-done

From: Drew Adams <[email-masked]>
Date: Wed, 24 Jul 2024 17:27:06 +0000

> > But I'm not sure is it possible to do the same with a variable
> > getter function?
> 
> I think it would be unavoidable to change all code places where the
> variable is referenced, including those in C, to call the function value
> stored in the variable instead of referencing the variable binding.

I'm not knowledgeable in this area, and I'm not
sure what you're discussing (I think it's the
possibility of substituting a function for a var),
but would defining a symbol macro help?

We at least have `cl-symbol-macrolet', even if we
don't (yet) have `define-symbol-macro'.

https://lisp-docs.github.io/cl-language-reference/chap-3/d-i-dictionary/define-symbol-macro_macro